<?php
/**
 * Proofreader - Joomla Mistake System
 *
 * System mambot for attaching Proofreader JavaScript to HEAD tag
 *
 * @version 1.0
 * @package Proofreader
 * @filename proofreader.systembot.php
 * @author Aleksandr A. Balashov (era@j-web.ru)
 * @copyright (C)2007 by Aleksandr A. Balashov (http://www.j-web.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 **/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$_MAMBOTS->registerFunction( 'onAfterStart', 'botProofreaderJS' );


function botProofreaderJS() {
	global $mainframe, $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_lang;


require($mosConfig_absolute_path."/administrator/components/com_proofreader/config.proofreader.php");
if (file_exists($mosConfig_absolute_path.'/administrator/components/com_proofreader/languages/admin.'.$mosConfig_lang.'.php')) {
	$file = $mosConfig_absolute_path.'/administrator/components/com_proofreader/languages/admin.'.$mosConfig_lang.'.php';
} else {
	$file = $mosConfig_absolute_path.'/administrator/components/com_proofreader/languages/admin.english.php';
}
require($file);

if ($pr_module_debug_mode) {
	$module_debug_mode = 'true';
} else {
	$module_debug_mode = 'false';
};

/*if ($_SERVER['REDIRECT_URL']) {
	$ref_url = $_SERVER['REDIRECT_URL'];
} else {
	$ref_url = $_SERVER['REQUEST_URI'];
};
*/
$ref_url = $mosConfig_live_site.$_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING'];


$content='
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
	function pr_setup() {
		xajaxRequestUri=\''.$mosConfig_live_site.'/index2.php?option=com_proofreader&task=sendmistake&no_html=1\';
		xajaxWaitCursor=true;
		xajaxDefinedPost=1;
		xajaxDebug='.$module_debug_mode.';
		xajaxStatusMessages=false;
		xajaxDefinedGet=0;
	}

	function addEvent(element, eventType, functionName) {
		if (element.addEventListener) {
			element.addEventListener(eventType, functionName, false);
			return true;
		} else if (element.attachEvent) {
			var r = element.attachEvent(\'on\' + eventType, functionName);
			return r;
		} else {
			element[\'on\' + eventType] = functionName;
		}
	}

	function addDivWindow() {
		var x=document.createElement("div");
		x.id=\'MistWindow\';
		x.style.position=\'absolute\';
		x.style.display=\'none\';
		x.style.width=\'375px\';
		x.style.height=\'380px\';
		x.style.top=\'50px\';
		x.style.left=\'50px\';
		x.style.zIndex=2;
		document.body.appendChild(x);
	}


var xajaxRequestUri=\''.$mosConfig_live_site.'/index2.php?option=com_proofreader&task=sendmistake&no_html=1\';
var xajaxWaitCursor=true;
var xajaxDefinedPost=1;
var xajaxDebug='.$module_debug_mode.';
var xajaxStatusMessages=false;
var xajaxDefinedGet=0;
var PReader_cur_page = "'.$ref_url.'";';

if ($pr_alt_hook) { $content .= ' var pr_alt = true; '; } else { $content .= ' var pr_alt = false; '; };
if ($pr_shift_hook) { $content .= ' var pr_shift = true; '; } else { $content .= ' var pr_shift = false; '; };
if ($pr_ctrl_hook) { $content .= ' var pr_ctrl = true; '; } else { $content .= ' var pr_ctrl = false; '; };

$content .= '
addEvent(window, \'load\',  addDivWindow);
addEvent(window, \'load\',  keyPressInit);
// ]]></script>
';
/*
$mainframe->addCustomHeadTag('<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[ 

// ]]></script>');
*/
$mainframe->addCustomHeadTag('<script language="JavaScript" type="text/javascript" src="'.$mosConfig_live_site.'/components/com_proofreader/js/proofreader.js"></script>');
$mainframe->addCustomHeadTag('<script language="JavaScript" type="text/javascript" src="'.$mosConfig_live_site.'/components/com_proofreader/js/xajax.js"></script>');

$mainframe->addCustomHeadTag($content);


//<div id="MistWindow" style="position: absolute; display: none; width: 375px; height: 380px; z-index:2;"></div>

//$content .= $module_text;


//	        $mainframe->addCustomHeadTag($css);
}

?>